Package org.eclipse.m2m.atl.adt

## Class AtlBuilder

- java.lang.Object
- - org.eclipse.core.internal.events.InternalBuilder
  - - org.eclipse.core.resources.IncrementalProjectBuilder
    - - org.eclipse.m2m.atl.adt.AtlBuilder

All Implemented Interfaces:
  `org.eclipse.core.runtime.IExecutableExtension`

    public class AtlBuilder
    extends org.eclipse.core.resources.IncrementalProjectBuilder

The ATL project builder.

### Field Summary

Fields
`static java.lang.String` `ATL_BUILDER_ID` The Atl builder id.

### Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

### Constructor Summary

Constructors
`AtlBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.core.resources.IProject[]` `build​(int kind, java.util.Map args, org.eclipse.core.runtime.IProgressMonitor monitor)`
`protected void` `clean​(org.eclipse.core.runtime.IProgressMonitor monitor)`
`protected void` `fullBuild​(org.eclipse.core.runtime.IProgressMonitor monitor)` Process a full build.
`protected void` `run​(org.eclipse.core.resources.IWorkspaceRunnable wr, org.eclipse.core.runtime.IProgressMonitor monitor)` Execute the given workspace runnable.

### Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

`forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ATL_BUILDER_ID

    public static final java.lang.String ATL_BUILDER_ID

The Atl builder id.

See Also:
  Constant Field Values

### Constructor Detail

#### AtlBuilder

    public AtlBuilder()

### Method Detail

#### build

    protected org.eclipse.core.resources.IProject[] build​(int kind,
                                                          java.util.Map args,
                                                          org.eclipse.core.runtime.IProgressMonitor monitor)
                                                   throws org.eclipse.core.runtime.CoreException

Specified by:
  `build` in class `org.eclipse.core.resources.IncrementalProjectBuilder`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IncrementalProjectBuilder.build(int, java.util.Map, org.eclipse.core.runtime.IProgressMonitor)`

#### fullBuild

    protected void fullBuild​(org.eclipse.core.runtime.IProgressMonitor monitor)

Process a full build.

Parameters:
  `monitor` - the progress monitor

#### clean

    protected void clean​(org.eclipse.core.runtime.IProgressMonitor monitor)
                  throws org.eclipse.core.runtime.CoreException

Overrides:
  `clean` in class `org.eclipse.core.resources.IncrementalProjectBuilder`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IncrementalProjectBuilder.clean(org.eclipse.core.runtime.IProgressMonitor)`

#### run

    protected void run​(org.eclipse.core.resources.IWorkspaceRunnable wr,
                       org.eclipse.core.runtime.IProgressMonitor monitor)
                throws org.eclipse.core.runtime.CoreException

Execute the given workspace runnable.

Parameters:
  `wr` - the given workspace runnable
  `monitor` - the progress monitor
Throws:
  `org.eclipse.core.runtime.CoreException`